campaigns
Create Campaign
Create an outbound calling campaign.
This allows you to:
- Call multiple numbers in sequence or parallel
- Schedule calls for a specific time
- Set concurrent call limits
- Retry failed calls automatically
- Track campaign progress
============================================
QUOTA ENFORCEMENT
============================================
POST
/
campaigns
Create Campaign
curl --request POST \
--url https://api.example.com/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [
{
"to_number": "<string>",
"from_number": "<string>",
"context": {}
}
],
"schedule_at": "2023-11-07T05:31:56Z",
"concurrent_calls": 1,
"retry_failed": false,
"retry_attempts": 0,
"context": {},
"webhook_url": "<string>",
"webhook_secret": "<string>",
"notify_on_call_complete": false
}
'import requests
url = "https://api.example.com/campaigns"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [
{
"to_number": "<string>",
"from_number": "<string>",
"context": {}
}
],
"schedule_at": "2023-11-07T05:31:56Z",
"concurrent_calls": 1,
"retry_failed": False,
"retry_attempts": 0,
"context": {},
"webhook_url": "<string>",
"webhook_secret": "<string>",
"notify_on_call_complete": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
targets: [{to_number: '<string>', from_number: '<string>', context: {}}],
schedule_at: '2023-11-07T05:31:56Z',
concurrent_calls: 1,
retry_failed: false,
retry_attempts: 0,
context: {},
webhook_url: '<string>',
webhook_secret: '<string>',
notify_on_call_complete: false
})
};
fetch('https://api.example.com/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign_id": "<string>",
"agent_id": "<string>",
"name": "<string>",
"total_targets": 123,
"status": "<string>",
"scheduled_at": "<string>",
"started_at": "<string>",
"calls_initiated": 123,
"calls_completed": 123,
"calls_failed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Campaign/batch calling request.
Required string length:
1 - 255Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Required range:
1 <= x <= 10Required range:
0 <= x <= 3URL for campaign progress webhooks
Secret for webhook signature verification
Send webhook for each call completion
Response
Successful Response
⌘I
Create Campaign
